Issue 24266

Summary: privacy/security issue with "list of files"
Product: General Reporter: rms707 <rms707>
Component: uiAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: OOo 1.1   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description rms707 2004-01-10 07:13:07 UTC
Windows XP allows a user to make their file access private. The old issue of 
someone opening up another persons file has been fixed. But the recent files 
list (list of files) on the main openoffice screen shows the recent files from 
all users. So user 2 could see what files user 1 had previously opened. 
Sometimes the file name is all that's needed to cause a security problem. 

What needs to happen is when the main openoffice screen comes up and the user 
clicks on file (list of files), only the last files used by that user should 
be shown.
Comment 1 h.ilter 2004-01-12 11:10:47 UTC
Changed to Framework
Comment 2 thorsten.martens 2004-01-13 12:51:23 UTC
TM->BH: Not really a defect but a wish for an usefull enhancement. Please have a
look, thanks !
Comment 3 ace_dent 2008-05-16 02:56:57 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised has the status 'New' pending further action, but has not
been updated within the last 4 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 4 bettina.haberer 2010-05-21 15:16:23 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".